Bug 8296 - Add descriptive (text) published date field for serials
Summary: Add descriptive (text) published date field for serials
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 3 votes (vote)
Assignee: Julian Maurice
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-22 15:24 UTC by Julian Maurice
Modified: 2017-06-14 22:10 UTC (History)
14 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this: 2013-10-25 00:00:00
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 8296: Add descriptive (text) published date field for serials (14.79 KB, patch)
2012-06-22 15:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Add descriptive (text) published date field for serials (14.79 KB, patch)
2012-07-01 01:25 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8296: Add descriptive (text) published date field for serials (14.91 KB, patch)
2012-08-11 15:49 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.02 KB, patch)
2012-09-14 14:23 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8296: Add descriptive (text) published date field for serials (14.80 KB, patch)
2012-09-14 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.02 KB, patch)
2012-09-14 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.08 KB, patch)
2012-09-14 14:34 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8296: Follow up for QA (1.54 KB, patch)
2012-09-14 15:05 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Add descriptive (text) published date field for serials (14.86 KB, patch)
2012-10-26 15:15 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.02 KB, patch)
2012-10-26 15:15 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Follow up for QA (968 bytes, patch)
2012-10-26 15:16 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Add descriptive (text) published date field for serials (14.88 KB, patch)
2013-03-19 08:14 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.00 KB, patch)
2013-03-19 08:14 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Follow up for QA (986 bytes, patch)
2013-03-19 08:14 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Follow up for QA (1.02 KB, patch)
2013-03-19 15:15 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 8296: Add descriptive (text) published date field for serials (14.95 KB, patch)
2013-03-19 16:16 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.07 KB, patch)
2013-03-19 16:18 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 8296: Follow up for QA (1.00 KB, patch)
2013-03-19 16:19 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 8296: Add descriptive (text) published date field for serials (14.92 KB, patch)
2013-06-10 07:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.09 KB, patch)
2013-06-10 07:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8296: Follow up for QA (1.05 KB, patch)
2013-06-10 07:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8296: Add descriptive (text) published date field for serials (14.87 KB, patch)
2013-06-10 09:10 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8296: set input maxlength to the same of sql field length (2.05 KB, patch)
2013-06-10 09:10 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8296: Follow up for QA (1.02 KB, patch)
2013-06-10 09:11 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Don't fill text field automatically (4.00 KB, patch)
2013-07-23 07:46 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8296: Add descriptive (text) published date field for serials (15.23 KB, patch)
2013-09-23 09:10 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8296: set input maxlength to the same of sql field length (2.07 KB, patch)
2013-09-23 09:11 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8296: Follow up for QA (1022 bytes, patch)
2013-09-23 09:11 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Don't fill text field automatically (4.00 KB, patch)
2013-09-23 09:11 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8296: Add descriptive (text) published date field for serials (15.42 KB, patch)
2013-11-05 14:58 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8296: set input maxlength to the same of sql field length (2.07 KB, patch)
2013-11-05 14:58 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8296: Follow up for QA (1022 bytes, patch)
2013-11-05 14:58 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Don't fill text field automatically (4.00 KB, patch)
2013-11-05 14:58 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Add descriptive (text) published date field for serials (15.57 KB, patch)
2014-06-19 07:57 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.07 KB, patch)
2014-06-19 07:57 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Follow up for QA (1022 bytes, patch)
2014-06-19 07:57 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Don't fill text field automatically (4.00 KB, patch)
2014-06-19 07:58 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Add descriptive (text) published date field for serials (15.64 KB, patch)
2014-07-31 08:46 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.14 KB, patch)
2014-07-31 08:46 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Follow up for QA (1022 bytes, patch)
2014-07-31 08:46 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Don't fill text field automatically (4.07 KB, patch)
2014-07-31 08:47 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Display publisheddatetext in OPAC bootstrap theme (2.84 KB, patch)
2014-07-31 08:47 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Follow up for QA (1.05 KB, patch)
2014-08-02 08:18 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8296: Display publisheddatetext in OPAC bootstrap theme (2.89 KB, patch)
2014-08-02 08:18 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8296: Don't fill text field automatically (4.12 KB, patch)
2014-08-02 08:20 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8296: Fix unit tests in t/db_dependent/Serials.t (1.07 KB, patch)
2014-10-10 07:24 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Add descriptive (text) published date field for serials (15.63 KB, patch)
2014-10-29 13:18 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.14 KB, patch)
2014-10-29 13:18 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Follow up for QA (1016 bytes, patch)
2014-10-29 13:19 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Don't fill text field automatically (4.06 KB, patch)
2014-10-29 13:19 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Display publisheddatetext in OPAC bootstrap theme (2.74 KB, patch)
2014-10-29 13:19 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Fix unit tests in t/db_dependent/Serials.t (1.07 KB, patch)
2014-10-29 13:19 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Add descriptive (text) published date field for serials (14.77 KB, patch)
2014-10-30 22:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.14 KB, patch)
2014-10-30 22:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8296: Follow up for QA (1016 bytes, patch)
2014-10-30 22:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8296: Don't fill text field automatically (4.06 KB, patch)
2014-10-30 22:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8296: Display publisheddatetext in OPAC bootstrap theme (1.86 KB, patch)
2014-10-30 22:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8296: Fix unit tests in t/db_dependent/Serials.t (1.07 KB, patch)
2014-10-30 22:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8296: Follow-up - don't display publisheddate when publisheddatetext is empty (2.72 KB, patch)
2014-10-30 22:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8296: Add descriptive (text) published date field for serials (14.77 KB, patch)
2015-02-12 12:31 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.14 KB, patch)
2015-02-12 12:31 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Follow up for QA (1016 bytes, patch)
2015-02-12 12:31 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Don't fill text field automatically (4.06 KB, patch)
2015-02-12 12:31 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Display publisheddatetext in OPAC bootstrap theme (1.86 KB, patch)
2015-02-12 12:31 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Fix unit tests in t/db_dependent/Serials.t (1.07 KB, patch)
2015-02-12 12:31 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Follow-up - don't display publisheddate when publisheddatetext is empty (2.78 KB, patch)
2015-02-12 12:32 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Add descriptive (text) published date field for serials (14.70 KB, patch)
2015-08-24 11:23 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: set input maxlength to the same of sql field length (2.14 KB, patch)
2015-08-24 11:23 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Follow up for QA (1016 bytes, patch)
2015-08-24 11:24 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Don't fill text field automatically (3.47 KB, patch)
2015-08-24 11:24 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Display publisheddatetext in OPAC bootstrap theme (1.86 KB, patch)
2015-08-24 11:24 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Fix unit tests in t/db_dependent/Serials.t (1.07 KB, patch)
2015-08-24 11:25 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8296: Follow-up - don't display publisheddate when publisheddatetext is empty (2.78 KB, patch)
2015-08-24 11:25 UTC, Julian Maurice
Details | Diff | Splinter Review
[PASSED QA] Bug 8296: Add descriptive (text) published date field for serials (14.77 KB, patch)
2015-10-20 21:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 8296: set input maxlength to the same of sql field length (2.21 KB, patch)
2015-10-20 21:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 8296: Follow up for QA (1.06 KB, patch)
2015-10-20 21:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 8296: Don't fill text field automatically (3.53 KB, patch)
2015-10-20 21:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 8296: Display publisheddatetext in OPAC bootstrap theme (1.93 KB, patch)
2015-10-20 21:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 8296: Fix unit tests in t/db_dependent/Serials.t (1.14 KB, patch)
2015-10-20 21:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 8296: Follow-up - don't display publisheddate when publisheddatetext is empty (2.85 KB, patch)
2015-10-20 21:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
serials area where text shows (37.49 KB, image/png)
2015-12-07 17:42 UTC, Nicole C. Engard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2012-06-22 15:24:23 UTC
This development add a new text field for serials which allow librarians to enter a published date in the format he wants (displayed in full subscription history at OPAC, and in each page displaying published date at staff interface)

Example: for a monthly subscription, we can enter "January 2012", "February 2012" instead of having "01/20/2012", "02/20/2012".

If not filled, displayed text is the published date.
Comment 1 Julian Maurice 2012-06-22 15:28:12 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-07-01 01:25:38 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2012-07-01 01:27:12 UTC
Patch reformatted so it applies, I haven't tested well enough to sign off though, but this should help someone else
Comment 4 delaye 2012-08-10 10:05:35 UTC
i test with a sandbox .it work.
In the opac with have the two dates shown(AAAA-MM-JJ and text) 


***

an automatic mode for managing the date formats through authorised values ​​activated in subscriptions records would also a idea ... but this does not mean the same developement.....

***
Comment 5 Jared Camins-Esakov 2012-08-11 15:49:19 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2012-08-27 12:53:57 UTC
Why do you add a limitation of 15 chars in the tt file and 100 chars for the sql column ?
Comment 7 Julian Maurice 2012-09-14 14:22:34 UTC
Hmm I suspect a copy/paste error...
Fix is coming.
Comment 8 Julian Maurice 2012-09-14 14:23:07 UTC Comment hidden (obsolete)
Comment 9 Julian Maurice 2012-09-14 14:28:02 UTC Comment hidden (obsolete)
Comment 10 Julian Maurice 2012-09-14 14:28:44 UTC Comment hidden (obsolete)
Comment 11 Julian Maurice 2012-09-14 14:28:55 UTC
Both patch rebased on master
Comment 12 Jonathan Druart 2012-09-14 14:34:49 UTC Comment hidden (obsolete)
Comment 13 Jonathan Druart 2012-09-14 14:45:56 UTC
QA Comments:

* serials/serials-collection.pl                                            FAIL
	forbidden patterns          FAIL
		The patch introduces a forbidden pattern: tabulation character at line 2 +	my $sth = $dbh->prepare(";
	valid                       OK
	critic                      OK
* serials/serials-edit.pl                                                  FAIL
	forbidden patterns          OK
	valid                       FAIL
		"my" variable @publisheddates masks earlier declaration in same scope 
	critic                      OK

1 tabulation character and 1 redefined variable.

Marked as Failed QA.
Comment 14 Julian Maurice 2012-09-14 15:05:17 UTC Comment hidden (obsolete)
Comment 15 Marcel de Rooy 2012-10-12 12:15:59 UTC
Please resolve merge conflict for serials-collection.pl on current master.
Thank you very much.
Comment 16 Julian Maurice 2012-10-26 15:15:52 UTC Comment hidden (obsolete)
Comment 17 Julian Maurice 2012-10-26 15:15:59 UTC Comment hidden (obsolete)
Comment 18 Julian Maurice 2012-10-26 15:16:05 UTC Comment hidden (obsolete)
Comment 19 Julian Maurice 2012-10-26 15:16:19 UTC
All patches rebased on master
Comment 20 Jonathan Druart 2012-11-20 14:20:58 UTC
QA Comment:

Add a new DB field serial.publisheddatetext.
The patch adds this new field to the serials update routines and to the serial templates (serials-collection, serials-edit, subscription-detail and opac-full-serial-issues).

Marked as Passed QA.
Comment 21 Katrin Fischer 2012-11-24 22:40:56 UTC
I would like to get a second QA team sign-off on these patches.
Comment 22 Jonathan Druart 2012-11-26 09:32:58 UTC
In fact there is no sign-off on these patchs. Switch back to "Needs Signoff"
Comment 23 cedric.vita 2013-03-18 13:56:18 UTC
Something went wrong !
Applying: Bug 8296: Add descriptive (text) published date field for serials
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging C4/Serials.pm
Auto-merging installer/data/mysql/kohastructure.sql
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-edit.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/serials/subscription-detail.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/serials/subscription-detail.tt
Auto-merging koha-tmpl/opac-tmpl/prog/en/modules/opac-full-serial-issues.tt
Auto-merging misc/cronjobs/serialsUpdate.pl
Auto-merging serials/serials-collection.pl
Auto-merging serials/serials-edit.pl
Failed to merge in the changes.
Patch failed at 0001 Bug 8296: Add descriptive (text) published date field for serials
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Bug 8296 - Add descriptive (text) published date field for serials

Bug 8296: Add descriptive (text) published date field for serials
Apply? [yn]
Patch left in /tmp/Bug-8296-Add-descriptive-text-published-date-field-ZKRcFi.patch
Comment 24 Julian Maurice 2013-03-19 08:14:16 UTC Comment hidden (obsolete)
Comment 25 Julian Maurice 2013-03-19 08:14:25 UTC Comment hidden (obsolete)
Comment 26 Julian Maurice 2013-03-19 08:14:31 UTC Comment hidden (obsolete)
Comment 27 Christophe Croullebois 2013-03-19 14:37:46 UTC
ok for me the patch applies correctly, you can test
Comment 28 Paul Poulain 2013-03-19 15:15:20 UTC
Patch tested with a sandbox, by Cedric Vita <cedric.vita@dracenie.com>
Comment 29 Paul Poulain 2013-03-19 15:15:39 UTC Comment hidden (obsolete)
Comment 30 Fridolin SOMERS 2013-03-19 16:16:52 UTC Comment hidden (obsolete)
Comment 31 Fridolin SOMERS 2013-03-19 16:18:07 UTC Comment hidden (obsolete)
Comment 32 Fridolin SOMERS 2013-03-19 16:19:30 UTC Comment hidden (obsolete)
Comment 33 Marcel de Rooy 2013-06-10 07:08:00 UTC Comment hidden (obsolete)
Comment 34 Marcel de Rooy 2013-06-10 07:09:33 UTC Comment hidden (obsolete)
Comment 35 Marcel de Rooy 2013-06-10 07:09:45 UTC Comment hidden (obsolete)
Comment 36 Marcel de Rooy 2013-06-10 07:21:31 UTC
One warning, no complaints from qa-tools.
Argument "" isn't numeric in numeric lt (<) at /usr/share/koha/testclone/koha-tmpl/intranet-tmpl/prog/en/modules/serials/subscription-detail.tt line 241.
Seems not to be introduced by your patches, though.
Comment 37 Marcel de Rooy 2013-06-10 07:26:25 UTC
I actually miss a test plan for this report.
I have the impresssion that the opac change is only visible under specific circumstances (pref value and/or unimarc??)

This needs more information/documentation. Please add. Thanks.
Comment 38 Marcel de Rooy 2013-06-10 07:36:44 UTC
See this in the rebase of kohastructure:

+  `itemnumber` text default NULL,

Should not be reintroduced..
Comment 39 Julian Maurice 2013-06-10 09:10:37 UTC Comment hidden (obsolete)
Comment 40 Julian Maurice 2013-06-10 09:10:53 UTC Comment hidden (obsolete)
Comment 41 Julian Maurice 2013-06-10 09:11:12 UTC Comment hidden (obsolete)
Comment 42 Julian Maurice 2013-06-10 09:28:01 UTC
Patches rebased on master
serials.itemnumber is no longer added by these patches

Test plan:
- Search for a subscription and go to serial collection page
- check some serials and click edit
- modify text under "published on (text)" column and save
- in opac, go to record detail, then click "subscriptions" tab » "More details" » "Full history" tab
- you should see the text you entered.
Comment 43 Katrin Fischer 2013-07-13 07:25:01 UTC
I have started testing this yesterday and after sleeping over it, there is something that worries me:

1) After update, the new column publisheddatetext is empty in the database for all existing issues, but when you receive new issues, the field is always filled with the publisheddate if you don't change it manually. My feeling is, that we should not fill the field, when there is no new information in it. 
Also, is it helpful if you have to delete the date first before you can type in "April 2013"?

In the templates that would work nicely as they already fall back to the publisheddate when the new field is empty:
[% newserialloo.publisheddatetext || newserialloo.publisheddate %]

2) If you are going to touch the patches - could you also add the bug number to the updatedatabase?

3) The table in serials-edit.pl is a little broken, when you are adding items for each issue. The colspan needs to be increased to 6 there now in the last row.

<td colspan="5">
      <a id="label[% serialslis.subscriptionid %]...">
             Click to add item</a>
Comment 44 Julian Maurice 2013-07-23 07:46:38 UTC Comment hidden (obsolete)
Comment 45 Julian Maurice 2013-07-23 07:48:20 UTC
Hi Katrin, thank you for the review.
This patch fixes 1) 2) and 3)
Comment 46 I'm just a bot 2013-09-18 11:08:28 UTC
Applying: Bug 8296: Add descriptive (text) published date field for serials
Using index info to reconstruct a base tree...
M	C4/Serials.pm
M	installer/data/mysql/kohastructure.sql
M	installer/data/mysql/updatedatabase.pl
M	koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-edit.tt
M	koha-tmpl/opac-tmpl/prog/en/modules/opac-full-serial-issues.tt
M	serials/serials-edit.pl
Falling back to patching base and 3-way merge...
Auto-merging serials/serials-edit.pl
Auto-merging koha-tmpl/opac-tmpl/prog/en/modules/opac-full-serial-issues.tt
CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/prog/en/modules/opac-full-serial-issues.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-edit.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Auto-merging installer/data/mysql/kohastructure.sql
Auto-merging C4/Serials.pm
Patch failed at 0001 Bug 8296: Add descriptive (text) published date field for serials
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 47 Julian Maurice 2013-09-23 09:10:55 UTC Comment hidden (obsolete)
Comment 48 Julian Maurice 2013-09-23 09:11:09 UTC Comment hidden (obsolete)
Comment 49 Julian Maurice 2013-09-23 09:11:24 UTC Comment hidden (obsolete)
Comment 50 Julian Maurice 2013-09-23 09:11:32 UTC Comment hidden (obsolete)
Comment 51 Julian Maurice 2013-09-23 09:11:53 UTC
All patches rebased on master
Comment 52 I'm just a bot 2013-09-23 22:04:58 UTC
Patch applied cleanly, go forth and signoff
Comment 53 I'm just a bot 2013-10-24 19:28:52 UTC
Applying: Bug 8296: Add descriptive (text) published date field for serials
Using index info to reconstruct a base tree...
M	C4/Serials.pm
M	installer/data/mysql/kohastructure.sql
M	installer/data/mysql/updatedatabase.pl
M	koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
M	misc/cronjobs/serialsUpdate.pl
Falling back to patching base and 3-way merge...
Auto-merging misc/cronjobs/serialsUpdate.pl
CONFLICT (content): Merge conflict in misc/cronjobs/serialsUpdate.pl
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Auto-merging installer/data/mysql/kohastructure.sql
Auto-merging C4/Serials.pm
Patch failed at 0001 Bug 8296: Add descriptive (text) published date field for serials
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 54 Julian Maurice 2013-11-05 14:58:05 UTC Comment hidden (obsolete)
Comment 55 Julian Maurice 2013-11-05 14:58:26 UTC Comment hidden (obsolete)
Comment 56 Julian Maurice 2013-11-05 14:58:46 UTC Comment hidden (obsolete)
Comment 57 Julian Maurice 2013-11-05 14:58:58 UTC Comment hidden (obsolete)
Comment 58 Koha Team Lyon 3 2014-06-18 15:08:04 UTC
h1>Something went wrong !</h1>Applying: Bug 8296: Add descriptive (text) published date field for serials Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging C4/Serials.pm
CONFLICT (content): Merge conflict in C4/Serials.pm Auto-merging installer/data/mysql/kohastructure.sql
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-edit.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/serials/subscription-detail.tt
Auto-merging koha-tmpl/opac-tmpl/prog/en/modules/opac-full-serial-issues.tt
Auto-merging misc/cronjobs/serialsUpdate.pl Auto-merging serials/serials-collection.pl Failed to merge in the changes.
Patch failed at 0001 Bug 8296: Add descriptive (text) published date field for serials When you have resolved this problem run git bz apply --continue.
Comment 59 Julian Maurice 2014-06-19 07:57:26 UTC Comment hidden (obsolete)
Comment 60 Julian Maurice 2014-06-19 07:57:40 UTC Comment hidden (obsolete)
Comment 61 Julian Maurice 2014-06-19 07:57:53 UTC Comment hidden (obsolete)
Comment 62 Julian Maurice 2014-06-19 07:58:04 UTC Comment hidden (obsolete)
Comment 63 Koha Team Lyon 3 2014-06-19 15:59:45 UTC
I add a text formatted date in the Serial collection page like this :

Date published 	Date published (text) 	
01/04/2014 	mai 2014 

but the date at the opac (moredetails/fullhistory/date column) remains 01/04/2014.

Olivier Crouzet
Comment 64 Julian Maurice 2014-07-31 08:46:35 UTC Comment hidden (obsolete)
Comment 65 Julian Maurice 2014-07-31 08:46:47 UTC Comment hidden (obsolete)
Comment 66 Julian Maurice 2014-07-31 08:46:59 UTC Comment hidden (obsolete)
Comment 67 Julian Maurice 2014-07-31 08:47:10 UTC Comment hidden (obsolete)
Comment 68 Julian Maurice 2014-07-31 08:47:21 UTC Comment hidden (obsolete)
Comment 69 Chris Cormack 2014-08-02 08:18:02 UTC Comment hidden (obsolete)
Comment 70 Chris Cormack 2014-08-02 08:18:52 UTC Comment hidden (obsolete)
Comment 71 Chris Cormack 2014-08-02 08:20:56 UTC Comment hidden (obsolete)
Comment 72 Katrin Fischer 2014-10-09 22:30:19 UTC
I've applied the patches, ran the database update and then tried to run the unit tests specific for serials, sadly, they are failing with these patches, but are ok on master:

Test Summary Report
-------------------
t/db_dependent/Serials.t (Wstat: 1024 Tests: 44 Failed: 4)
  Failed tests:  39-40, 42-43
  Non-zero exit status: 4


The QA script was ok, no problems there.
Comment 73 Julian Maurice 2014-10-10 07:24:27 UTC Comment hidden (obsolete)
Comment 74 Katrin Fischer 2014-10-14 15:42:29 UTC
I am sorry, but I am having problems to get this to apply :( 
I fixed a conflict in the first patch but then got stuck later on number 5.
Comment 75 Julian Maurice 2014-10-29 13:18:44 UTC Comment hidden (obsolete)
Comment 76 Julian Maurice 2014-10-29 13:18:57 UTC Comment hidden (obsolete)
Comment 77 Julian Maurice 2014-10-29 13:19:10 UTC Comment hidden (obsolete)
Comment 78 Julian Maurice 2014-10-29 13:19:22 UTC Comment hidden (obsolete)
Comment 79 Julian Maurice 2014-10-29 13:19:31 UTC Comment hidden (obsolete)
Comment 80 Julian Maurice 2014-10-29 13:19:43 UTC Comment hidden (obsolete)
Comment 81 Katrin Fischer 2014-10-30 22:37:38 UTC
Hi Julian,

I have a few questions about this:

For the OPAC, you only change the full history:
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-full-serial-issues.tt 

Why not the normal one on opac-detail.tt?

If we only change one view, the displayed dates seem to be inconsistent.


I am also wondering about you display the publisheddate in staff, when there is nothing set for publisheddate. This way it's really hard to see in the lists, where you have entered custom data and where not.

I am suggesting to change that and only display publisheddatetext when we have both columns next to each other. 

I will attach a patch with that suggestion - but not sure what to do about the OPAC.
Comment 82 Katrin Fischer 2014-10-30 22:39:59 UTC
Ah, also applying rebaesd patches - I removed the prog theme OPAC files.
Comment 83 Katrin Fischer 2014-10-30 22:43:17 UTC Comment hidden (obsolete)
Comment 84 Katrin Fischer 2014-10-30 22:43:21 UTC Comment hidden (obsolete)
Comment 85 Katrin Fischer 2014-10-30 22:43:25 UTC Comment hidden (obsolete)
Comment 86 Katrin Fischer 2014-10-30 22:43:29 UTC Comment hidden (obsolete)
Comment 87 Katrin Fischer 2014-10-30 22:43:33 UTC Comment hidden (obsolete)
Comment 88 Katrin Fischer 2014-10-30 22:43:37 UTC Comment hidden (obsolete)
Comment 89 Katrin Fischer 2014-10-30 22:43:42 UTC Comment hidden (obsolete)
Comment 90 Katrin Fischer 2014-10-31 07:06:05 UTC
After 'sleeping over it' I think the duplication of the 'published date' into 'published date (text)' was maybe done for sorting purposes?

Maybe we could make it visually more clear, using a different text color (grey?) for a published date in a published date (text) column?

I hope this makes any sense. Feel free to dislike and obsolete my follow-up :)
Comment 91 Julian Maurice 2015-02-12 12:11:28 UTC
Why is the bug status "Failed QA" ? Shouldn't it be "Needs Signoff" ?
Comment 92 Julian Maurice 2015-02-12 12:31:02 UTC Comment hidden (obsolete)
Comment 93 Julian Maurice 2015-02-12 12:31:12 UTC Comment hidden (obsolete)
Comment 94 Julian Maurice 2015-02-12 12:31:23 UTC Comment hidden (obsolete)
Comment 95 Julian Maurice 2015-02-12 12:31:33 UTC Comment hidden (obsolete)
Comment 96 Julian Maurice 2015-02-12 12:31:44 UTC Comment hidden (obsolete)
Comment 97 Julian Maurice 2015-02-12 12:31:55 UTC Comment hidden (obsolete)
Comment 98 Julian Maurice 2015-02-12 12:32:11 UTC Comment hidden (obsolete)
Comment 99 Katrin Fischer 2015-03-16 01:16:42 UTC
Going to work on this next. Julian - could you check the last patch if you like or hate it? I have no problem with either, but would be good to have your feedback.
Comment 100 Julian Maurice 2015-03-16 08:05:29 UTC
Hi Katrin,

Your patch is ok, no problem at all, it is already signed off ;)
Comment 101 Katrin Fischer 2015-03-19 10:58:20 UTC
Hi Julian, 

I have started on this and so far it looks good, but I am a little confused about the general idea of this:

- Could you maybe give some more explanation about the use case?
- Why do we display it almost everywhere in staff, but only on a very hidden page in the OPAC?
Comment 102 Julian Maurice 2015-03-19 13:14:14 UTC
1/ The initial need was to "describe" the date in a more human-friendly format.
For instance, if periodicity is "once every two months", instead of 2015-01-01 we can have "2015 January-February"

2/ I don't know very well the subscriptions part in OPAC. I can add this information in other pages as well, if you tell me where :)
Comment 103 Katrin Fischer 2015-03-22 21:27:46 UTC
Hi Julian, 

I think the common "entry page" to subscriptions for parons in the OPAC is opac-detail > subscriptions tab. This view is labelled as 'Normal view' when you look at it from the the full history page. I think adding the information there the same way we have it on the full history page would make sense to me. 

I am a bit torn about the feature still, but I think with that follow-up it would make enough sense to me to pass QA. Patches tested ok so far. :)
Comment 104 Julian Maurice 2015-08-24 11:23:47 UTC Comment hidden (obsolete)
Comment 105 Julian Maurice 2015-08-24 11:23:57 UTC Comment hidden (obsolete)
Comment 106 Julian Maurice 2015-08-24 11:24:25 UTC Comment hidden (obsolete)
Comment 107 Julian Maurice 2015-08-24 11:24:38 UTC Comment hidden (obsolete)
Comment 108 Julian Maurice 2015-08-24 11:24:49 UTC Comment hidden (obsolete)
Comment 109 Julian Maurice 2015-08-24 11:25:01 UTC Comment hidden (obsolete)
Comment 110 Julian Maurice 2015-08-24 11:25:20 UTC Comment hidden (obsolete)
Comment 111 Julian Maurice 2015-08-24 11:26:54 UTC
(In reply to Katrin Fischer from comment #103)
> Hi Julian, 
> 
> I think the common "entry page" to subscriptions for parons in the OPAC is
> opac-detail > subscriptions tab. This view is labelled as 'Normal view' when
> you look at it from the the full history page. I think adding the
> information there the same way we have it on the full history page would
> make sense to me. 

It appears that the date shown on this page is the 'planneddate' which is the date of reception. Should we change that and display the 'publisheddate' instead ?
Comment 112 Katrin Fischer 2015-10-18 19:50:36 UTC
(In reply to Julian Maurice from comment #111)
> (In reply to Katrin Fischer from comment #103)
> > Hi Julian, 
> > 
> > I think the common "entry page" to subscriptions for parons in the OPAC is
> > opac-detail > subscriptions tab. This view is labelled as 'Normal view' when
> > you look at it from the the full history page. I think adding the
> > information there the same way we have it on the full history page would
> > make sense to me. 
> 
> It appears that the date shown on this page is the 'planneddate' which is
> the date of reception. Should we change that and display the 'publisheddate'
> instead ?

Sorry to come back to this so late - I feel like it is a little weird to not display in the OPAC, but not sure right now how best to fix. I will look at the patches again.
Comment 113 Katrin Fischer 2015-10-20 21:13:02 UTC
Created attachment 43665 [details] [review]
[PASSED QA] Bug 8296: Add descriptive (text) published date field for serials

Add a new field serial.publisheddatetext for displaying published date
in another format that dateformat syspref permit.

Signed-off-by: Cedric Vita <cedric.vita@dracenie.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 114 Katrin Fischer 2015-10-20 21:13:13 UTC
Created attachment 43666 [details] [review]
[PASSED QA] Bug 8296: set input maxlength to the same of sql field length

Signed-off-by: Cedric Vita <cedric.vita@dracenie.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 115 Katrin Fischer 2015-10-20 21:13:19 UTC
Created attachment 43667 [details] [review]
[PASSED QA] Bug 8296: Follow up for QA

1 redefined variable removed

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Signed-off-by: Cedric Vita <cedric.vita@dracenie.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 116 Katrin Fischer 2015-10-20 21:13:25 UTC
Created attachment 43668 [details] [review]
[PASSED QA] Bug 8296: Don't fill text field automatically

+ minor fixes:
  * Add bug number to updatedatabase
  * Fix colspan in serials-edit.tt

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 117 Katrin Fischer 2015-10-20 21:13:31 UTC
Created attachment 43669 [details] [review]
[PASSED QA] Bug 8296: Display publisheddatetext in OPAC bootstrap theme

and remove modifications for OPAC prog theme

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 118 Katrin Fischer 2015-10-20 21:13:36 UTC
Created attachment 43670 [details] [review]
[PASSED QA] Bug 8296: Fix unit tests in t/db_dependent/Serials.t

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 119 Katrin Fischer 2015-10-20 21:13:42 UTC
Created attachment 43671 [details] [review]
[PASSED QA] Bug 8296: Follow-up - don't display publisheddate when publisheddatetext is empty

To test:
- make sure you have a subscription where only some fields have a published date (text) set
- check the subscription detail page, issues tab
- check the serial collection page
- both pages should show an empty field, when published date (text) has not been set

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 120 Katrin Fischer 2015-10-20 21:16:17 UTC
I have to admit, I am not sure about the use case for this patch, but it works as described and shouldn't affect the existing workflows.
Comment 121 Tomás Cohen Arazi 2015-11-05 13:54:49 UTC
Patches pushed to master.

Thanks Julian!
Comment 122 Nicole C. Engard 2015-12-07 17:42:02 UTC
Created attachment 45469 [details]
serials area where text shows

I'm documenting this and am wondering where the text displays other than in the serials module. Shouldn't is show in the holdings area?
Comment 123 Katrin Fischer 2015-12-13 21:46:03 UTC
Hi Nicole,

3 spots it shows are:

Staff
- subscription detail page, issues tab
- serial collection page

OPAC
- full history

There was some discussion about where else it should show - so there is probably some room for improvement :)